Subject: how do I get resource limits?
From: [email-masked] (Tim Newsham)

1 Feb 1997 15:36:51 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL24 PGP3 *ALPHA*]
Original-Sender: [email-masked]

Hi,

   I would like to get some sort of aproximation of the amount
of free memory available.  In UNIX I could do:

    struct rlimit lims;

    getrlimit(RLIMIT_DATA, &lims);
    return lims.rlim_cur;

but cygwin does not support the getrlimit() call.  Does NT
support some way of getting this sort of information?

                                         Tim N.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".